Search across all types
curl --request GET \
--url https://server.meetdoris.com/api/v1/ontology/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://server.meetdoris.com/api/v1/ontology/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://server.meetdoris.com/api/v1/ontology/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"results": [
{
"type": "deal",
"id": "5590756e-c2e2-50f9-ba17-0f8dcee493bd",
"title": "Apex Enterprise Platform",
"snippet": "Apex Enterprise Platform",
"score": 0.076,
"updated_at": "2026-05-06T16:56:58.697901+00:00"
},
{
"type": "meeting",
"id": "039e66a3-15ee-5988-aca0-02f4829230d9",
"title": "Nexus Telecom - Churn Prediction Proposal Review",
"snippet": "Nexus Telecom - Churn Prediction Proposal Review",
"score": 0.083,
"updated_at": "2026-05-06T16:57:32.252166+00:00"
}
],
"total": 122,
"count": 2,
"offset": 0,
"limit": 2
}Query
Search across all types
Full-text search across the ontology index. Returns matching objects ranked by relevance.
GET
/
search
Search across all types
Authorizations
API key with sk-live- prefix. Generate keys from Console → API Keys in the Doris app.
Query Parameters
Search query
Filter by object type
Available options:
deal, account, meeting, commitment, objection, competitor, tactic, strategy, document, person, artifact, pipeline, lead, insight Required range:
x <= 100⌘I